Progress notes
The goal progress resource is used to track progress notes for a specific goal.
Goal progress object
{
"id": "019c0bad-8cb2-7b08-95d1-883c6a090fde",
"tenant": "01988bb8-1cfb-7c87-9326-93op0349288e",
"goal": "019c0bac-4d27-788c-a37c-365ea4752c2d",
"staff": "0198a8c8-0682-7382-8def-1z45oexs2ple",
"title": "Letter of Recommendation",
"notes": "Steve asked Martha for a recommendation letter to the local community college employment program. Martha wrote the letter with high recommendation.",
"time_start": "2025-05-29 20:33:00",
"time_end": "2026-08-03 20:33:00",
"meta": null,
"archived_at": null,
"created_at": "2026-01-29 21:34:09",
"updated_at": null
}
Fields
- idrequired readonly stringUnique ID of the record.
- tenantrequired readonly stringUnique ID of the tenant.
- goalrequired stringUnique ID of the goal.
- staffnullable stringUnique ID of the staff who worked on this progress note.
- titlerequired stringTitle of the progress note.
- notesnullable stringNotes for the progress note.
- time_startrequired stringUTC timestamp of when the progress note started.
- time_endrequired stringUTC timestamp of when the progress note ended. Value must be after
time_start. - metanullable objectAdditional metadata about the progress note.
- archived_atnullable stringUTC timestamp of when the record was archived.
- created_atrequired readonly stringUTC timestamp of when the record was created.
- updated_atnullable readonly stringUTC timestamp of when the record was last updated.
Create a progress note
POST /tenants/{tenantId}/goal-progress
The request body must include a goal progress object.
Required permissions
goal_progress:create goals:read staff:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 201 | Created | Successfully created | Goal progress object |
| 400 | Bad Request | Invalid or missing field(s) | Error object |
| 404 | Not Found | Tenant not found | Error object |
List progress notes
GET /tenants/{tenantId}/goal-progress
Required permissions
goal_progress:read goals:read staff:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | An associative array of goal progress objects | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
| 404 | Not Found | Tenant not found | Error object |
Read a progress note
GET /tenants/{tenantId}/goal-progress/{id}
Required permissions
goal_progress:read goals:read staff:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | Goal progress object | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
| 404 | Not Found | Tenant or goal progress ID not found | Error object |
Update a progress note
PATCH /tenants/{tenantId}/goal-progress/{id}
The request body must include parts of a goal progress object.
Required permissions
goal_progress:update goals:read staff:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | Updated goal progress record | Goal progress object |
| 400 | Bad Request | Invalid or missing field(s) | Error object |
| 404 | Not Found | Tenant or goal progress ID not found | Error object |
Delete a progress note
DELETE /tenants/{tenantId}/goal-progress/{id}
Required permissions
goal_progress:delete
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 204 | No content | Successfully deleted | |
| 404 | Not Found | Tenant ID not found | Error object |
Was this page helpful?